Retrieve Generic Statement Revisions
curl --request GET \
--url https://ap.replace-me.example.com/generic/{statementId}/revisions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/generic/{statementId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/generic/{statementId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"timestamp": "2022-01-06T14:33:06.721+00:00",
"response": {
"uuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"accountId": 0,
"clientId": 0,
"accountCode": "string",
"commodity": "CHILLEDWATER",
"glCode": "string",
"chargeAmount": 0,
"status": "ERROR",
"statusMessage": "string",
"pdfUrl": "string",
"property": "string",
"vendor": "string",
"serviceAddress": "string",
"city": "string",
"state": "string",
"zipCode": "string",
"currency": "string",
"startDate": "01/01/2021",
"endDate": "01/01/2021",
"month": 0,
"year": 0,
"dueDate": "01/01/2021",
"newCharges": 0,
"totalAmountDue": 0,
"glSettings": {},
"lines": [
{
"lineItemUuid": "f364a5b9-0981-4434-badf-e750880effab",
"statementUuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"chargeName": "string",
"chargeAmount": 0,
"chargeClassification": "string"
}
]
}
}
]Accounts Payable API - Audit Statements
Retrieve Generic Statement Revisions
A GET request will list all of a Generic statement’s revisions*.* If a response is null, the statement was deleted.
Response Body Structure
| Path | Type | Description |
|---|---|---|
[].response | Generic Statement Model | The statement’s raw body at a given revision |
[].timestamp | Timestamp | The timestamp for a statement’s revision |
GET
/
generic
/
{statementId}
/
revisions
Retrieve Generic Statement Revisions
curl --request GET \
--url https://ap.replace-me.example.com/generic/{statementId}/revisions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ap.replace-me.example.com/generic/{statementId}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ap.replace-me.example.com/generic/{statementId}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"timestamp": "2022-01-06T14:33:06.721+00:00",
"response": {
"uuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"accountId": 0,
"clientId": 0,
"accountCode": "string",
"commodity": "CHILLEDWATER",
"glCode": "string",
"chargeAmount": 0,
"status": "ERROR",
"statusMessage": "string",
"pdfUrl": "string",
"property": "string",
"vendor": "string",
"serviceAddress": "string",
"city": "string",
"state": "string",
"zipCode": "string",
"currency": "string",
"startDate": "01/01/2021",
"endDate": "01/01/2021",
"month": 0,
"year": 0,
"dueDate": "01/01/2021",
"newCharges": 0,
"totalAmountDue": 0,
"glSettings": {},
"lines": [
{
"lineItemUuid": "f364a5b9-0981-4434-badf-e750880effab",
"statementUuid": "1d4e2181-eb9d-4229-88fa-6c332387336c",
"statementId": 0,
"chargeName": "string",
"chargeAmount": 0,
"chargeClassification": "string"
}
]
}
}
]
